=== debian/changelog ===
rpavlik-cmake-modules (0.0~git20231201.03239c6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 06:21:43 -0400

rpavlik-cmake-modules (0.0~git20231201.03239c6-1) unstable; urgency=medium

  * Initial release. (Closes: #1073288)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sun, 16 Jun 2024 15:33:44 +0800
