=== debian/control ===
Source: rpavlik-cmake-modules
Section: devel
Priority: optional
Maintainer: Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/rpavlik/cmake-modules
Vcs-Browser: https://salsa.debian.org/debian/rpavlik-cmake-modules
Vcs-Git: https://salsa.debian.org/debian/rpavlik-cmake-modules.git

Package: rpavlik-cmake-modules
Architecture: all
Depends:
 ${misc:Depends},
Description: Rylie's CMake Modules Collection
 This is a collection of CMake modules that Rylie Pavlik produced during the
 course of a variety of software development. There are a number of find
 modules, especially for virtual reality and physical simulation packages, some
 utility modules of more general interest, and some patches or workarounds for
 (very old versions of) CMake itself.
