=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/rpavlik/cmake-modules.git \
  HEAD debian
